Please document command-line options with --help and when called incorrectly

Bug #1604936 reported by Adam Conrad on 2016-07-20
8
This bug affects 1 person
Affects Status Importance Assigned to Milestone
shim-signed (Ubuntu)
Medium
Mathieu Trudel-Lapierre
Precise
Medium
Mathieu Trudel-Lapierre
Trusty
Medium
Mathieu Trudel-Lapierre
Xenial
Medium
Mathieu Trudel-Lapierre

Bug Description

[Impact]
update-secureboot-policy did not include any help text.

[Test case]
- verify 'sudo update-secureboot-policy' works as expected (prompts to disable Secure Boot if it's enabled)
- verify 'sudo update-secureboot-policy --disable' works as expected (same as above)
- verify 'sudo update-secureboot-policy --enable' re-enables Secure Boot after it has been disabled (ie. after a run with --disable and a reboot)
- verify 'update-secureboot-policy --help' displays help text.

[Regression Potential]
None. The default behavior without a parameter remains to try to disable Secure Boot if it's not already disabled. --enable is documented behind a new parameter --help which displays usage information.

---

Subject says it all. Having to read the source to discover --enable was irksome. There should probably also be an opposite explicit --disable.

Adam Conrad (adconrad) on 2016-07-20
Changed in shim-signed (Ubuntu):
assignee: nobody → Mathieu Trudel-Lapierre (cyphermox)
Changed in shim-signed (Ubuntu):
status: New → In Progress
importance: Undecided → Medium
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package shim-signed - 1.19

---------------
shim-signed (1.19) yakkety; urgency=medium

  * update-secureboot-policy:
    - Add a --help option, document other options. (LP: #1604936)
    - Rework prompting to display our Secure Boot warning and explanation
      text more prominently, rather than forcing graphical users to hit
      "Help" to see the full explanation for why we ask about disabling
      Secure Boot. (LP: #1595611)

 -- Mathieu Trudel-Lapierre <email address hidden> Tue, 02 Aug 2016 11:01:50 -0400

Changed in shim-signed (Ubuntu):
status: In Progress → Fix Released
description: updated
Changed in shim-signed (Ubuntu Precise):
status: New → In Progress
Changed in shim-signed (Ubuntu Trusty):
status: New → In Progress
Changed in shim-signed (Ubuntu Xenial):
status: New → In Progress
Changed in shim-signed (Ubuntu Precise):
importance: Undecided → Medium
Changed in shim-signed (Ubuntu Trusty):
importance: Undecided → Medium
Changed in shim-signed (Ubuntu Xenial):
importance: Undecided → Medium
Changed in shim-signed (Ubuntu Precise):
assignee: nobody → Mathieu Trudel-Lapierre (cyphermox)
Changed in shim-signed (Ubuntu Trusty):
assignee: nobody → Mathieu Trudel-Lapierre (cyphermox)
Changed in shim-signed (Ubuntu Xenial):
assignee: nobody → Mathieu Trudel-Lapierre (cyphermox)

Hello Adam, or anyone else affected,

Accepted shim-signed into xenial-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/shim-signed/1.19~16.04.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in shim-signed (Ubuntu Xenial):
status: In Progress → Fix Committed
tags: added: verification-needed
Brian Murray (brian-murray) wrote :

Hello Adam, or anyone else affected,

Accepted shim-signed into trusty-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/shim-signed/1.19~14.04.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in shim-signed (Ubuntu Trusty):
status: In Progress → Fix Committed

The fix for this bug has been awaiting testing feedback in the -proposed repository for xenial for more than 90 days. Please test this fix and update the bug appropriately with the results. In the event that the fix for this bug is still not verified 15 days from now, the package will be removed from the -proposed repository.

tags: added: removal-candidate

Verification-done: update-secureboot-policy now correctly shows --help text; which documents the default behavior and options.

tags: added: v-done-trusty v-done-xenial
removed: verification-needed
tags: removed: removal-candidate
Steve Langasek (vorlon) on 2016-11-10
tags: added: verification-done-trusty verification-done-xenial
removed: v-done-trusty v-done-xenial
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package shim-signed - 1.19~14.04.1

---------------
shim-signed (1.19~14.04.1) trusty; urgency=medium

  * update-secureboot-policy:
    - Add a --help option, document other options. (LP: #1604936)
    - Rework prompting to display our Secure Boot warning and explanation
      text more prominently, rather than forcing graphical users to hit
      "Help" to see the full explanation for why we ask about disabling
      Secure Boot. (LP: #1595611)

 -- Mathieu Trudel-Lapierre <email address hidden> Tue, 02 Aug 2016 15:18:33 -0400

Changed in shim-signed (Ubuntu Trusty):
status: Fix Committed → Fix Released

The verification of the Stable Release Update for shim-signed has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regressions.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package shim-signed - 1.19~16.04.1

---------------
shim-signed (1.19~16.04.1) xenial; urgency=medium

  * update-secureboot-policy:
    - Add a --help option, document other options. (LP: #1604936)
    - Rework prompting to display our Secure Boot warning and explanation
      text more prominently, rather than forcing graphical users to hit
      "Help" to see the full explanation for why we ask about disabling
      Secure Boot. (LP: #1595611)

 -- Mathieu Trudel-Lapierre <email address hidden> Tue, 02 Aug 2016 15:24:24 -0400

Changed in shim-signed (Ubuntu Xenial):
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers